#
# spec file for package python-orderedmultidict
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-orderedmultidict
Version:        1.0.1
Release:        3.7
Summary:        Ordered Multivalue Dictionary
License:        Unlicense
Group:          Development/Languages/Python
URL:            https://github.com/gruns/orderedmultidict
Source:         https://files.pythonhosted.org/packages/source/o/orderedmultidict/orderedmultidict-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six >= 1.8.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module six >= 1.8.0}
# /SECTION
%python_subpackages

%description
Ordered Multivalue Dictionary - omdict.

%prep
%setup -q -n orderedmultidict-%{version}
sed -i 's/^.*flake8.*/tests_require = []/' setup.py
chmod a-x README.md LICENSE.md
rm -r *.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v tests/

%files %{python_files}
%doc README.md
%license LICENSE.md
%{python_sitelib}/*

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Thu May 27 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Tue Jul 23 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.1:
  * Imports overhaul
  * py 3.8 support
  * More tests
* Wed Mar  6 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.0
